List fee agreements for an account
List all fee plan agreements associated with an account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/profile.read scope.
curl -X GET "https://api.moov.io/accounts/{accountID}/fee-plan-agreements" \
-H "Authorization: Bearer {token}" \
using Moov.Sdk;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(xMoovVersion: "<value>");
ListFeePlanAgreementsRequest req = new ListFeePlanAgreementsRequest() {
Skip = 60,
Count = 20,
AccountID = "93c43634-5477-42a7-972d-01fa76a09e17",
};
var res = await sdk.FeePlans.ListFeePlanAgreementsAsync(req);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListFeePlanAgreementsRequest;
import io.moov.sdk.models.operations.ListFeePlanAgreementsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListFeePlanAgreementsRequest req = ListFeePlanAgreementsRequest.builder()
.accountID("93c43634-5477-42a7-972d-01fa76a09e17")
.skip(60L)
.count(20L)
.build();
ListFeePlanAgreementsResponse res = sdk.feePlans().listFeePlanAgreements()
.request(req)
.call();
if (res.feePlanAgreements().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
req = Models::Operations::ListFeePlanAgreementsRequest.new(
skip: 60,
count: 20,
account_id: '93c43634-5477-42a7-972d-01fa76a09e17',
)
res = s.fee_plans.list_fee_plan_agreements(request: req)
unless res.fee_plan_agreements.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.feePlans.listFeePlanAgreements({
skip: 60,
count: 20,
accountID: "93c43634-5477-42a7-972d-01fa76a09e17",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListFeePlanAgreementsRequest(
skip: 60,
count: 20,
accountID: '93c43634-5477-42a7-972d-01fa76a09e17',
);
$response = $sdk->feePlans->list(
request: $request
);
if ($response->feePlanAgreements !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.fee_plans.list_fee_plan_agreements(account_id="93c43634-5477-42a7-972d-01fa76a09e17", skip=60, count=20)
# Handle response
print(res)[
{
"agreementID": "string",
"planID": "string",
"accountID": "string",
"name": "string",
"description": "string",
"acceptedOn": "2019-08-24T14:15:22Z",
"status": "active",
"cardAcquiringModel": "cost-plus",
"billableFees": [
{
"billableFeeID": "9d957d33-1a9a-47aa-9460-fe1a90f003dd",
"billableEvent": "card-auth-volume",
"feeName": "Card decline fee",
"feeModel": "fixed",
"feeCategory": "card-acquiring",
"feeProperties": {
"fixedAmount": {
"currency": "USD",
"valueDecimal": "0.0195"
},
"variableRate": "0.15",
"minPerTransaction": {
"currency": "USD",
"valueDecimal": "0.0195"
},
"maxPerTransaction": {
"currency": "USD",
"valueDecimal": "0.035"
},
"volumeRanges": [
{
"fromValue": 1,
"toValue": 2,
"flatAmount": {
"currency": "USD",
"valueDecimal": "1.23"
},
"perUnitAmount": {
"currency": "USD",
"valueDecimal": "1.23"
}
}
]
},
"feeConditions": {
"transactionType": [
"decline"
]
}
}
],
"minimumCommitment": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"monthlyPlatformFee": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
]Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Query parameters
skip
integer
<int64>
count
integer
<int64>
200agreementID
array
status
array
Response
acceptedOn
string<date-time>
accountID
string
agreementID
string
billableFees
array<object>
Show child attributes
billableEvent
string
billableFeeID
string
feeCategory
string<enum>
ach,
card-acquiring,
card-other,
card-pull,
card-push,
monthly-platform,
network-passthrough,
other,
rtp
feeConditions
object
feeModel
string<enum>
fixed,
blended,
variable
feeName
string
feeProperties
object
Show child attributes
volumeRanges
array<object>
required
Show child attributes
flatAmount
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
fromValue
integer
perUnitAmount
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
toValue
integer
fixedAmount
object
fixed and blended fee models.
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
maxPerTransaction
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
minPerTransaction
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
variableRate
string
Pattern
A percentage fee that is applied to the amount of each transaction in the blended fee model, expressed as a decimal.
For example, 0.05% is '0.05'.
cardAcquiringModel
string<enum>
cost-plus,
flat-rate
description
string
minimumCommitment
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
monthlyPlatformFee
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
name
string
planID
string
status
string<enum>
active,
terminated